Skip to main content
GET
/
documents
/
{documentId}
Get document by ID
curl --request GET \
  --url https://api.vanta.com/v1/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "access-requests",
  "title": "Access request ticket and history",
  "description": "Provide two examples of a recent access request and approval ",
  "isSensitive": false,
  "uploadStatusDate": "2024-03-17T00:00:00.000Z",
  "category": "Account setup",
  "uploadStatus": "Needs document",
  "url": "https://example.com",
  "ownerId": "1",
  "note": "Example document note",
  "nextRenewalDate": "2025-03-17T00:00:00.000Z",
  "renewalCadence": "P1Y",
  "reminderWindow": "P1M",
  "deactivatedStatus": {
    "isDeactivated": false,
    "reason": null,
    "expiration": null,
    "creationDate": "2024-03-02T00:00:00.000Z"
  },
  "subscribers": []
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

documentId
string
required

Response

200 - application/json

Ok

id
string
required

The document's unique ID.

ownerId
string | null
required

The user ID of the document's owner.

category
enum<string>
required

The document's category.

Available options:
Accounts access,
Account security,
Account setup,
Computers,
Custom,
Data storage,
Employees,
Infrastructure,
IT,
Logging,
Monitoring alerts,
People,
Policies,
Risk analysis,
Software development,
CSPM alert management,
Vendors,
Vulnerability management
description
string
required

The document's description.

isSensitive
boolean
required

Determines whether or not the document is sensitive.

title
string
required

The document's title.

uploadStatus
enum<string>
required

The document's status.

Available options:
Needs document,
Needs update,
Not relevant,
OK
uploadStatusDate
string<date-time> | null
required

The date the document's uploadStatus changed.

url
string | null
required

The URL to view the document within Vanta.

deactivatedStatus
object
required
note
string | null
required

A user note for the document.

nextRenewalDate
string<date-time> | null
required

When the document needs to be renewed.

renewalCadence
enum<string>
required

How often a document must be renewed.

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
reminderWindow
enum<string>
required

The number of day ahead of the renewal date to send a reminder.

Available options:
P0D,
P1D,
P1W,
P1M,
P3M
subscribers
string[]
required

A list of the emails subscribed to the document.